Warehouse

Rating: 
4.833335
Your rating: None Average: 4.8 (48 votes)

BETA. This application is still under active development. 

This is warehouse for Harmattan. If you are looking for sailfish version - check here Warehouse for SailfishOS

Warehouse is a native client for OpenRepos.net
Browse and install applications, enable repositories.

You need to enable application installation from uncertified sources:
Select Phone Settings and Applications > Installations, and activate Allow installations from non-Store sources.

You do not need to install application via dpkg or apt-get or use any kind of root mode at your phone.

Just download and tap to install.

If you cannot install warehouse on new or reflashed Nokia N9, consider using Warehouse-Installer

If warehouse does not start after upgrade, uninstall warehouse, and install latest version.

TMO support thread is open for discussions: http://talk.maemo.org/showthread.php?t=91574

Screenshots: 
Application versions: 
AttachmentSizeDate
File warehouse_0.1.8_armel.deb278.01 KB10/03/2014 - 22:04
File warehouse_0.1.9_armel.deb278.2 KB29/07/2014 - 12:18
Changelog: 

warehouse (0.1.9) stable; urgency=low
* Application changelogs, rates, downloads

Comments

avalx's picture

OK, thanks for the tips :)

hooddy's picture

Кнопка "Обновить" из приложения, как в Магазине Ови, была бы очень кстати. Если такое возможно и на это есть время и планы. Ну и ченджлог тоже был бы не лишним в описании программ.

disneypious151's picture

there must be an option for 1.star rating, 2.commenting & 3.logging in

inside the app

passibond's picture

4.5 Stars from me (5 if you make the repository quicker)

Its a good app for the N9.

Its better for the users that there is an App Store (especially for updates).

App Store > Internet forum

basil's picture

Repositories works as fast as possible. Overall update time (fetch repository info) depends on repositories count, your internet connection speed, and if you have outdated(obsole, old) repositories.

avalx's picture

In my case enabling/fetching repositories is also sloooooow. And after I enable a new repository I still can not install applications from it. All I get is the button labeled "Fetch repository info".  I chose this again and still no possibility to "Install" application. I have to shutdown/powerup the phone and then I am able to install apps from Warehouse.

P.S. How can I check if there are outdated repositories present on my phone? And how to disable the repository if I am not using it anymore?

basil's picture

There is no universal way to do so. General way is to run 'apt-get update' as root from terminal, and see what repositories are broken. Known are 'harmattan-dev' and 'apps.formeego'. Some details are in this thread.
 

wickedsp1d3r's picture

Text align in search field is not right. Hope you could fix this in next version.

disneypious151's picture

Basil Bro can you please fix a wazapp toggle button on the status menu ....

basil's picture

No I cannot. Consider using Persecute or Whatsup instead. Or ask developers at wazapp site

disneypious151's picture

yeah... thatz ok... :)
 

hey r you a developer??

basil's picture

I cannot help you with wazapp issues.

disneypious151's picture

now it's better... :-)

farish's picture

Hi all,

I am trying to install this beauty but after tapping into installation file it needs internet and wants me to connect to network and after I do this error comes up and installation fails, any ideas?

unable to trace installation package dependencies

basil's picture

Have you enabled "Allow installations from non-Store sources" before installing Warehouse?

farish's picture

Yes I did long time before, I installed many other applications with no problem, wonder why this happens

basil's picture

Do you have terminal installed? Probably some dependency is missing, due to nokia repositories shutdown. Try to install warehouse with 'dpkg -i'. It should show if some packages are unavailable.

farish's picture

If this need that developer mode to be enabled actually I can not, it gives me this error:

can't install, installation package not found

if with some other way I can have terminal then I don't know, and by the way thanks for trying to help

basil's picture

I see. Developer mode cannot be installed, since Nokia had closed repository with packages. Probably this also causes error in warehouse installation. 

I'll provide an installation manual a bit later, please wait for it.

farish's picture

Hi there,

Still waiting for that manual, actually any help to instal my develpoer mode will be apprecaited. I need to tunnel my traffice through SSH to bypass censorship and the only way I know is tunneling and I can't have it if I can't have terminal, so any help tp bring me out of this...

thanks a bunch

basil's picture

Sorry, for the delay, warehouse installer is not yet ready.
For installing developer mode - download and install packages from Developer Mode package. For warehouse, as dependency,  aegis-developer-unknown-source-policy package is required to be accessable(or installed).

farish's picture

Ok thanks a lot,

should I install them one by one (is the order of installing significant?) and then just enbale developer mode and then wholllla it goes through? I really thanks helping me Basil

basil's picture

You can install packages that are needed. Probably, you need terminal package, and then you will be able to enable KoenigseggCCGT repository and enable developer mode with default switch.

farish's picture

I installed terminal and then tried

deb http://harmattan.openrepos.net/KoenigseggCCGT personal main

unsuccesful there is no deb found in terminal

basil's picture

You shoud not execute that, but add to "/etc/apt/sources.list.d/openrepos-KoenigseggCCGT.list" file. It will be easier for you to download and install  aegis-developer-unknown-source-policy package(from dev mode) and then warehouse will be installable. After that, find 'Developer mode' at warehouse, and install it.

farish's picture

when I tried to create the file with vi permission denied when I want to save that. the package did not installed too with error "invalid installation package". god help me :-)

basil's picture

You need to become root first, e.g. run devel-su command. and then try to create file. Probably you will need to install develsh_1.17+0m6_armel.deb first.

farish's picture

something is totally wrong here. there is no devel-su command and develsh_1.17 package can not be installed, dunno what to do

basil's picture

Try to install Warehouse with that Warehouse installer package

basil's picture

Well, wait a bit, until developer mode installer, or warehouse installer will be uploaded.

Pages